Subject: [bug#35411] [PATCH] Add hedgewars

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 24 Apr 2019 12:42:28 +0200

Hi Nicolas,

> The following patch adds hedgewars game. It requires sdl2-net package,
> which I submitted in a pending patch (see bug#35391).

Thank you.

> +     ;; XXX: Engine is written as Pascal source code, requiring Free Pascal
> +     ;; Compiler, which we haven't packaged yet.  With the flag below, we use
> +     ;; a Pascal to C translator and Clang instead.

I tried to package Free Pascal a long time ago, but the compiler is
written in Pascal and the GNU Pascal compiler which I tried to use for
bootstrapping could not be built…

What is this Pascal to C translator?  Does this mean that we’re using
generated C files here?

--
Ricardo